---
Fuzzer filename: '/src/flatbuffers/tests/fuzzer/flexbuffers_verifier_fuzzer.cc'
All functions:
  Function list name: All functions
  Elements:
    - functionName:    __gxx_personality_v0
      functionSourceFile: ''
      linkageType:     externalLinkage
      functionLinenumber: -1
      functionLinenumberEnd: 0
      functionDepth:   0
      returnType:      int
      argCount:        0
      argTypes:        []
      constantsTouched: []
      argNames:        []
      BBCount:         0
      ICount:          0
      EdgeCount:       0
      CyclomaticComplexity: 2
      functionsReached: []
      functionUses:    0
      BranchProfiles:  []
      Callsites:       []
    - functionName:    __clang_call_terminate
      functionSourceFile: ''
      linkageType:     WeakODRLinkage
      functionLinenumber: -1
      functionLinenumberEnd: 0
      functionDepth:   0
      returnType:      void
      argCount:        1
      argTypes:
        - 'N/A'
      constantsTouched: []
      argNames:
        - ''
      BBCount:         1
      ICount:          3
      EdgeCount:       1
      CyclomaticComplexity: 2
      functionsReached:
        - __cxa_begin_catch
      functionUses:    9
      BranchProfiles:  []
      Callsites:       []
    - functionName:    __cxa_begin_catch
      functionSourceFile: ''
      linkageType:     externalLinkage
      functionLinenumber: -1
      functionLinenumberEnd: 0
      functionDepth:   0
      returnType:      'N/A'
      argCount:        1
      argTypes:
        - 'N/A'
      constantsTouched: []
      argNames:
        - ''
      BBCount:         0
      ICount:          0
      EdgeCount:       0
      CyclomaticComplexity: 2
      functionsReached: []
      functionUses:    1
      BranchProfiles:  []
      Callsites:       []
    - functionName:    _ZN11flexbuffers18IsFixedTypedVectorENS_4TypeE
      functionSourceFile: '/src/flatbuffers/tests/fuzzer/../../include/flatbuffers/flexbuffers.h'
      linkageType:     InternalLinkage
      functionLinenumber: 100
      functionLinenumberEnd: 101
      functionDepth:   0
      returnType:      bool
      argCount:        1
      argTypes:
        - int
      constantsTouched: []
      argNames:
        - ''
      BBCount:         4
      ICount:          22
      EdgeCount:       4
      CyclomaticComplexity: 2
      functionsReached: []
      functionUses:    1
      BranchProfiles:  []
      Callsites:       []
    - functionName:    _ZNK11flexbuffers6String5c_strEv
      functionSourceFile: '/src/flatbuffers/tests/fuzzer/../../include/flatbuffers/flexbuffers.h'
      linkageType:     InternalLinkage
      functionLinenumber: 257
      functionLinenumberEnd: 257
      functionDepth:   0
      returnType:      'N/A'
      argCount:        1
      argTypes:
        - 'N/A'
      constantsTouched: []
      argNames:
        - ''
      BBCount:         1
      ICount:          9
      EdgeCount:       1
      CyclomaticComplexity: 2
      functionsReached: []
      functionUses:    1
      BranchProfiles:  []
      Callsites:       []
    - functionName:    _ZN11flexbuffers9ReferenceC2EPKhhhNS_4TypeE
      functionSourceFile: '/src/flatbuffers/tests/fuzzer/../../include/flatbuffers/flexbuffers.h'
      linkageType:     InternalLinkage
      functionLinenumber: 414
      functionLinenumberEnd: 414
      functionDepth:   0
      returnType:      void
      argCount:        5
      argTypes:
        - 'N/A'
        - 'N/A'
        - char
        - char
        - int
      constantsTouched: []
      argNames:
        - ''
        - ''
        - ''
        - ''
        - ''
      BBCount:         1
      ICount:          27
      EdgeCount:       1
      CyclomaticComplexity: 2
      functionsReached: []
      functionUses:    2
      BranchProfiles:  []
      Callsites:       []
    - functionName:    _ZN11flexbuffers14NullPackedTypeEv
      functionSourceFile: '/src/flatbuffers/tests/fuzzer/../../include/flatbuffers/flexbuffers.h'
      linkageType:     InternalLinkage
      functionLinenumber: 937
      functionLinenumberEnd: 937
      functionDepth:   0
      returnType:      char
      argCount:        0
      argTypes:        []
      constantsTouched: []
      argNames:        []
      BBCount:         3
      ICount:          12
      EdgeCount:       3
      CyclomaticComplexity: 2
      functionsReached:
        - _ZN11flexbuffers10PackedTypeENS_8BitWidthENS_4TypeE
      functionUses:    2
      BranchProfiles:  []
      Callsites:
        - Src:             'tests/fuzzer/../../include/flatbuffers/flexbuffers.h:937,42'
          Dst:             _ZN11flexbuffers10PackedTypeENS_8BitWidthENS_4TypeE
    - functionName:    _ZN11flexbuffers10PackedTypeENS_8BitWidthENS_4TypeE
      functionSourceFile: '/src/flatbuffers/tests/fuzzer/../../include/flatbuffers/flexbuffers.h'
      linkageType:     InternalLinkage
      functionLinenumber: 933
      functionLinenumberEnd: 934
      functionDepth:   0
      returnType:      char
      argCount:        2
      argTypes:
        - int
        - int
      constantsTouched: []
      argNames:
        - ''
        - ''
      BBCount:         1
      ICount:          13
      EdgeCount:       1
      CyclomaticComplexity: 2
      functionsReached: []
      functionUses:    4
      BranchProfiles:  []
      Callsites:       []
    - functionName:    _ZNK11flexbuffers5Sized9read_sizeEv
      functionSourceFile: '/src/flatbuffers/tests/fuzzer/../../include/flatbuffers/flexbuffers.h'
      linkageType:     InternalLinkage
      functionLinenumber: 240
      functionLinenumberEnd: 241
      functionDepth:   0
      returnType:      size_t
      argCount:        1
      argTypes:
        - 'N/A'
      constantsTouched: []
      argNames:
        - ''
      BBCount:         3
      ICount:          25
      EdgeCount:       3
      CyclomaticComplexity: 2
      functionsReached:
        - _ZN11flexbuffers10ReadUInt64EPKhh
      functionUses:    1
      BranchProfiles:  []
      Callsites:
        - Src:             'tests/fuzzer/../../include/flatbuffers/flexbuffers.h:241,32'
          Dst:             _ZN11flexbuffers10ReadUInt64EPKhh
    - functionName:    _ZN11flexbuffers10ReadUInt64EPKhh
      functionSourceFile: '/src/flatbuffers/tests/fuzzer/../../include/flatbuffers/flexbuffers.h'
      linkageType:     InternalLinkage
      functionLinenumber: 160
      functionLinenumberEnd: 176
      functionDepth:   0
      returnType:      size_t
      argCount:        2
      argTypes:
        - 'N/A'
        - char
      constantsTouched: []
      argNames:
        - ''
        - ''
      BBCount:         3
      ICount:          18
      EdgeCount:       3
      CyclomaticComplexity: 2
      functionsReached:
        - _ZN11flexbuffers15ReadSizedScalarImhtjmEET_PKhh
      functionUses:    5
      BranchProfiles:  []
      Callsites:
        - Src:             'tests/fuzzer/../../include/flatbuffers/flexbuffers.h:175,12'
          Dst:             _ZN11flexbuffers15ReadSizedScalarImhtjmEET_PKhh
    - functionName:    _ZN11flexbuffers15ReadSizedScalarImhtjmEET_PKhh
      functionSourceFile: '/src/flatbuffers/tests/fuzzer/../../include/flatbuffers/flexbuffers.h'
      linkageType:     InternalLinkage
      functionLinenumber: 145
      functionLinenumberEnd: 152
      functionDepth:   0
      returnType:      size_t
      argCount:        2
      argTypes:
        - 'N/A'
        - char
      constantsTouched: []
      argNames:
        - ''
        - ''
      BBCount:         12
      ICount:          62
      EdgeCount:       15
      CyclomaticComplexity: 5
      functionsReached:
        - _ZN11flatbuffers10ReadScalarIhEET_PKv
        - _ZN11flatbuffers10ReadScalarIjEET_PKv
        - _ZN11flatbuffers10ReadScalarImEET_PKv
        - _ZN11flatbuffers10ReadScalarItEET_PKv
      functionUses:    1
      BranchProfiles:  []
      Callsites:
        - Src:             'tests/fuzzer/../../include/flatbuffers/flexbuffers.h:148,38'
          Dst:             _ZN11flatbuffers10ReadScalarIhEET_PKv
        - Src:             'tests/fuzzer/../../include/flatbuffers/flexbuffers.h:149,38'
          Dst:             _ZN11flatbuffers10ReadScalarItEET_PKv
        - Src:             'tests/fuzzer/../../include/flatbuffers/flexbuffers.h:151,38'
          Dst:             _ZN11flatbuffers10ReadScalarIjEET_PKv
        - Src:             'tests/fuzzer/../../include/flatbuffers/flexbuffers.h:152,38'
          Dst:             _ZN11flatbuffers10ReadScalarImEET_PKv
    - functionName:    _ZN11flatbuffers10ReadScalarIhEET_PKv
      functionSourceFile: '/src/flatbuffers/tests/fuzzer/../../include/flatbuffers/base.h'
      linkageType:     InternalLinkage
      functionLinenumber: 427
      functionLinenumberEnd: 428
      functionDepth:   0
      returnType:      char
      argCount:        1
      argTypes:
        - 'N/A'
      constantsTouched: []
      argNames:
        - ''
      BBCount:         3
      ICount:          16
      EdgeCount:       3
      CyclomaticComplexity: 2
      functionsReached:
        - _ZN11flatbuffers12EndianScalarIhEET_S1_
      functionUses:    1
      BranchProfiles:  []
      Callsites:
        - Src:             'tests/fuzzer/../../include/flatbuffers/base.h:428,10'
          Dst:             _ZN11flatbuffers12EndianScalarIhEET_S1_
    - functionName:    _ZN11flatbuffers10ReadScalarItEET_PKv
      functionSourceFile: '/src/flatbuffers/tests/fuzzer/../../include/flatbuffers/base.h'
      linkageType:     InternalLinkage
      functionLinenumber: 427
      functionLinenumberEnd: 428
      functionDepth:   0
      returnType:      short
      argCount:        1
      argTypes:
        - 'N/A'
      constantsTouched: []
      argNames:
        - ''
      BBCount:         3
      ICount:          16
      EdgeCount:       3
      CyclomaticComplexity: 2
      functionsReached:
        - _ZN11flatbuffers12EndianScalarItEET_S1_
      functionUses:    1
      BranchProfiles:  []
      Callsites:
        - Src:             'tests/fuzzer/../../include/flatbuffers/base.h:428,10'
          Dst:             _ZN11flatbuffers12EndianScalarItEET_S1_
    - functionName:    _ZN11flatbuffers10ReadScalarIjEET_PKv
      functionSourceFile: '/src/flatbuffers/tests/fuzzer/../../include/flatbuffers/base.h'
      linkageType:     InternalLinkage
      functionLinenumber: 427
      functionLinenumberEnd: 428
      functionDepth:   0
      returnType:      int
      argCount:        1
      argTypes:
        - 'N/A'
      constantsTouched: []
      argNames:
        - ''
      BBCount:         3
      ICount:          16
      EdgeCount:       3
      CyclomaticComplexity: 2
      functionsReached:
        - _ZN11flatbuffers12EndianScalarIjEET_S1_
      functionUses:    1
      BranchProfiles:  []
      Callsites:
        - Src:             'tests/fuzzer/../../include/flatbuffers/base.h:428,10'
          Dst:             _ZN11flatbuffers12EndianScalarIjEET_S1_
    - functionName:    _ZN11flatbuffers10ReadScalarImEET_PKv
      functionSourceFile: '/src/flatbuffers/tests/fuzzer/../../include/flatbuffers/base.h'
      linkageType:     InternalLinkage
      functionLinenumber: 427
      functionLinenumberEnd: 428
      functionDepth:   0
      returnType:      size_t
      argCount:        1
      argTypes:
        - 'N/A'
      constantsTouched: []
      argNames:
        - ''
      BBCount:         3
      ICount:          16
      EdgeCount:       3
      CyclomaticComplexity: 2
      functionsReached:
        - _ZN11flatbuffers12EndianScalarImEET_S1_
      functionUses:    1
      BranchProfiles:  []
      Callsites:
        - Src:             'tests/fuzzer/../../include/flatbuffers/base.h:428,10'
          Dst:             _ZN11flatbuffers12EndianScalarImEET_S1_
    - functionName:    _ZN11flatbuffers12EndianScalarImEET_S1_
      functionSourceFile: '/src/flatbuffers/tests/fuzzer/../../include/flatbuffers/base.h'
      linkageType:     InternalLinkage
      functionLinenumber: 416
      functionLinenumberEnd: 418
      functionDepth:   0
      returnType:      size_t
      argCount:        1
      argTypes:
        - size_t
      constantsTouched: []
      argNames:
        - ''
      BBCount:         1
      ICount:          7
      EdgeCount:       1
      CyclomaticComplexity: 2
      functionsReached: []
      functionUses:    1
      BranchProfiles:  []
      Callsites:       []
    - functionName:    _ZN11flatbuffers12EndianScalarIjEET_S1_
      functionSourceFile: '/src/flatbuffers/tests/fuzzer/../../include/flatbuffers/base.h'
      linkageType:     InternalLinkage
      functionLinenumber: 416
      functionLinenumberEnd: 418
      functionDepth:   0
      returnType:      int
      argCount:        1
      argTypes:
        - int
      constantsTouched: []
      argNames:
        - ''
      BBCount:         1
      ICount:          7
      EdgeCount:       1
      CyclomaticComplexity: 2
      functionsReached: []
      functionUses:    1
      BranchProfiles:  []
      Callsites:       []
    - functionName:    _ZN11flatbuffers12EndianScalarItEET_S1_
      functionSourceFile: '/src/flatbuffers/tests/fuzzer/../../include/flatbuffers/base.h'
      linkageType:     InternalLinkage
      functionLinenumber: 416
      functionLinenumberEnd: 418
      functionDepth:   0
      returnType:      short
      argCount:        1
      argTypes:
        - short
      constantsTouched: []
      argNames:
        - ''
      BBCount:         1
      ICount:          7
      EdgeCount:       1
      CyclomaticComplexity: 2
      functionsReached: []
      functionUses:    1
      BranchProfiles:  []
      Callsites:       []
    - functionName:    _ZN11flatbuffers12EndianScalarIhEET_S1_
      functionSourceFile: '/src/flatbuffers/tests/fuzzer/../../include/flatbuffers/base.h'
      linkageType:     InternalLinkage
      functionLinenumber: 416
      functionLinenumberEnd: 418
      functionDepth:   0
      returnType:      char
      argCount:        1
      argTypes:
        - char
      constantsTouched: []
      argNames:
        - ''
      BBCount:         1
      ICount:          7
      EdgeCount:       1
      CyclomaticComplexity: 2
      functionsReached: []
      functionUses:    1
      BranchProfiles:  []
      Callsites:       []
    - functionName:    _ZN11flexbuffers6ObjectC2EPKhh
      functionSourceFile: '/src/flatbuffers/tests/fuzzer/../../include/flatbuffers/flexbuffers.h'
      linkageType:     InternalLinkage
      functionLinenumber: 222
      functionLinenumberEnd: 222
      functionDepth:   0
      returnType:      void
      argCount:        3
      argTypes:
        - 'N/A'
        - 'N/A'
        - char
      constantsTouched: []
      argNames:
        - ''
        - ''
        - ''
      BBCount:         1
      ICount:          17
      EdgeCount:       1
      CyclomaticComplexity: 2
      functionsReached: []
      functionUses:    1
      BranchProfiles:  []
      Callsites:       []
    - functionName:    _ZNK11flexbuffers8Verifier12VerifyBeforeEmm
      functionSourceFile: '/src/flatbuffers/tests/fuzzer/../../include/flatbuffers/flexbuffers.h'
      linkageType:     InternalLinkage
      functionLinenumber: 1884
      functionLinenumberEnd: 1885
      functionDepth:   0
      returnType:      bool
      argCount:        3
      argTypes:
        - 'N/A'
        - size_t
        - size_t
      constantsTouched: []
      argNames:
        - ''
        - ''
        - ''
      BBCount:         3
      ICount:          23
      EdgeCount:       3
      CyclomaticComplexity: 2
      functionsReached:
        - _ZNK11flexbuffers8Verifier5CheckEb
      functionUses:    1
      BranchProfiles:  []
      Callsites:
        - Src:             'tests/fuzzer/../../include/flatbuffers/flexbuffers.h:1885,12'
          Dst:             _ZNK11flexbuffers8Verifier5CheckEb
    - functionName:    _ZNK11flexbuffers8Verifier5CheckEb
      functionSourceFile: '/src/flatbuffers/tests/fuzzer/../../include/flatbuffers/flexbuffers.h'
      linkageType:     InternalLinkage
      functionLinenumber: 1871
      functionLinenumberEnd: 1877
      functionDepth:   0
      returnType:      bool
      argCount:        2
      argTypes:
        - 'N/A'
        - bool
      constantsTouched: []
      argNames:
        - ''
        - ''
      BBCount:         1
      ICount:          12
      EdgeCount:       1
      CyclomaticComplexity: 2
      functionsReached: []
      functionUses:    12
      BranchProfiles:  []
      Callsites:       []
    - functionName:    _ZNK11flexbuffers11TypedVectorixEm
      functionSourceFile: '/src/flatbuffers/tests/fuzzer/../../include/flatbuffers/flexbuffers.h'
      linkageType:     InternalLinkage
      functionLinenumber: 954
      functionLinenumberEnd: 959
      functionDepth:   0
      returnType:      'N/A'
      argCount:        2
      argTypes:
        - 'N/A'
        - size_t
      constantsTouched: []
      argNames:
        - ''
        - ''
      BBCount:         6
      ICount:          52
      EdgeCount:       7
      CyclomaticComplexity: 3
      functionsReached:
        - _ZN11flexbuffers14NullPackedTypeEv
        - _ZN11flexbuffers9ReferenceC2EPKhhh
        - _ZN11flexbuffers9ReferenceC2EPKhhhNS_4TypeE
        - _ZNK11flexbuffers5Sized4sizeEv
      functionUses:    1
      BranchProfiles:  []
      Callsites:
        - Src:             'tests/fuzzer/../../include/flatbuffers/flexbuffers.h:955,14'
          Dst:             _ZNK11flexbuffers5Sized4sizeEv
        - Src:             'tests/fuzzer/../../include/flatbuffers/flexbuffers.h:956,46'
          Dst:             _ZN11flexbuffers14NullPackedTypeEv
        - Src:             'tests/fuzzer/../../include/flatbuffers/flexbuffers.h:956,24'
          Dst:             _ZN11flexbuffers9ReferenceC2EPKhhh
        - Src:             'tests/fuzzer/../../include/flatbuffers/flexbuffers.h:958,10'
          Dst:             _ZN11flexbuffers9ReferenceC2EPKhhhNS_4TypeE
    - functionName:    _ZNK11flexbuffers5Sized4sizeEv
      functionSourceFile: '/src/flatbuffers/tests/fuzzer/../../include/flatbuffers/flexbuffers.h'
      linkageType:     InternalLinkage
      functionLinenumber: 238
      functionLinenumberEnd: 238
      functionDepth:   0
      returnType:      size_t
      argCount:        1
      argTypes:
        - 'N/A'
      constantsTouched: []
      argNames:
        - ''
      BBCount:         1
      ICount:          9
      EdgeCount:       1
      CyclomaticComplexity: 2
      functionsReached: []
      functionUses:    4
      BranchProfiles:  []
      Callsites:       []
    - functionName:    _ZN11flexbuffers9ReferenceC2EPKhhh
      functionSourceFile: '/src/flatbuffers/tests/fuzzer/../../include/flatbuffers/flexbuffers.h'
      linkageType:     InternalLinkage
      functionLinenumber: 420
      functionLinenumberEnd: 420
      functionDepth:   0
      returnType:      void
      argCount:        4
      argTypes:
        - 'N/A'
        - 'N/A'
        - char
        - char
      constantsTouched: []
      argNames:
        - ''
        - ''
        - ''
        - ''
      BBCount:         1
      ICount:          31
      EdgeCount:       1
      CyclomaticComplexity: 2
      functionsReached: []
      functionUses:    4
      BranchProfiles:  []
      Callsites:       []
    - functionName:    _ZN11flexbuffers11TypedVectorC2EPKhhNS_4TypeE
      functionSourceFile: '/src/flatbuffers/tests/fuzzer/../../include/flatbuffers/flexbuffers.h'
      linkageType:     InternalLinkage
      functionLinenumber: 296
      functionLinenumberEnd: 296
      functionDepth:   0
      returnType:      void
      argCount:        4
      argTypes:
        - 'N/A'
        - 'N/A'
        - char
        - int
      constantsTouched: []
      argNames:
        - ''
        - ''
        - ''
        - ''
      BBCount:         3
      ICount:          26
      EdgeCount:       3
      CyclomaticComplexity: 2
      functionsReached:
        - _ZN11flexbuffers5SizedC2EPKhh
      functionUses:    1
      BranchProfiles:  []
      Callsites:
        - Src:             'tests/fuzzer/../../include/flatbuffers/flexbuffers.h:296,9'
          Dst:             _ZN11flexbuffers5SizedC2EPKhh
    - functionName:    _ZN11flexbuffers5SizedC2EPKhh
      functionSourceFile: '/src/flatbuffers/tests/fuzzer/../../include/flatbuffers/flexbuffers.h'
      linkageType:     InternalLinkage
      functionLinenumber: 234
      functionLinenumberEnd: 234
      functionDepth:   0
      returnType:      void
      argCount:        3
      argTypes:
        - 'N/A'
        - 'N/A'
        - char
      constantsTouched: []
      argNames:
        - ''
        - ''
        - ''
      BBCount:         3
      ICount:          24
      EdgeCount:       3
      CyclomaticComplexity: 2
      functionsReached:
        - _ZN11flexbuffers6ObjectC2EPKhh
        - _ZNK11flexbuffers5Sized9read_sizeEv
      functionUses:    4
      BranchProfiles:  []
      Callsites:
        - Src:             'tests/fuzzer/../../include/flatbuffers/flexbuffers.h:234,9'
          Dst:             _ZN11flexbuffers6ObjectC2EPKhh
        - Src:             'tests/fuzzer/../../include/flatbuffers/flexbuffers.h:234,41'
          Dst:             _ZNK11flexbuffers5Sized9read_sizeEv
    - functionName:    _ZNK11flexbuffers6VectorixEm
      functionSourceFile: '/src/flatbuffers/tests/fuzzer/../../include/flatbuffers/flexbuffers.h'
      linkageType:     InternalLinkage
      functionLinenumber: 946
      functionLinenumberEnd: 952
      functionDepth:   0
      returnType:      'N/A'
      argCount:        2
      argTypes:
        - 'N/A'
        - size_t
      constantsTouched: []
      argNames:
        - ''
        - ''
      BBCount:         6
      ICount:          64
      EdgeCount:       7
      CyclomaticComplexity: 3
      functionsReached:
        - _ZN11flexbuffers14NullPackedTypeEv
        - _ZN11flexbuffers9ReferenceC2EPKhhh
        - _ZNK11flexbuffers5Sized4sizeEv
      functionUses:    1
      BranchProfiles:  []
      Callsites:
        - Src:             'tests/fuzzer/../../include/flatbuffers/flexbuffers.h:947,14'
          Dst:             _ZNK11flexbuffers5Sized4sizeEv
        - Src:             'tests/fuzzer/../../include/flatbuffers/flexbuffers.h:948,46'
          Dst:             _ZN11flexbuffers14NullPackedTypeEv
        - Src:             'tests/fuzzer/../../include/flatbuffers/flexbuffers.h:948,24'
          Dst:             _ZN11flexbuffers9ReferenceC2EPKhhh
        - Src:             'tests/fuzzer/../../include/flatbuffers/flexbuffers.h:951,10'
          Dst:             _ZN11flexbuffers9ReferenceC2EPKhhh
    - functionName:    _ZN11flexbuffers6VectorC2EPKhh
      functionSourceFile: '/src/flatbuffers/tests/fuzzer/../../include/flatbuffers/flexbuffers.h'
      linkageType:     InternalLinkage
      functionLinenumber: 282
      functionLinenumberEnd: 282
      functionDepth:   0
      returnType:      void
      argCount:        3
      argTypes:
        - 'N/A'
        - 'N/A'
        - char
      constantsTouched: []
      argNames:
        - ''
        - ''
        - ''
      BBCount:         3
      ICount:          21
      EdgeCount:       3
      CyclomaticComplexity: 2
      functionsReached:
        - _ZN11flexbuffers5SizedC2EPKhh
      functionUses:    1
      BranchProfiles:  []
      Callsites:
        - Src:             'tests/fuzzer/../../include/flatbuffers/flexbuffers.h:282,53'
          Dst:             _ZN11flexbuffers5SizedC2EPKhh
    - functionName:    _ZN11flexbuffers7Builder6WidthBEm
      functionSourceFile: '/src/flatbuffers/tests/fuzzer/../../include/flatbuffers/flexbuffers.h'
      linkageType:     InternalLinkage
      functionLinenumber: 1584
      functionLinenumberEnd: 1598
      functionDepth:   0
      returnType:      int
      argCount:        1
      argTypes:
        - size_t
      constantsTouched: []
      argNames:
        - ''
      BBCount:         7
      ICount:          37
      EdgeCount:       12
      CyclomaticComplexity: 7
      functionsReached: []
      functionUses:    1
      BranchProfiles:
        - Branch String:   'tests/fuzzer/../../include/flatbuffers/flexbuffers.h:1585,5'
          Branch Sides:    []
      Callsites:       []
    - functionName:    _ZN11flexbuffers8Verifier19VerifyBeforePointerEPKhm
      functionSourceFile: '/src/flatbuffers/tests/fuzzer/../../include/flatbuffers/flexbuffers.h'
      linkageType:     InternalLinkage
      functionLinenumber: 1892
      functionLinenumberEnd: 1894
      functionDepth:   0
      returnType:      bool
      argCount:        3
      argTypes:
        - 'N/A'
        - 'N/A'
        - size_t
      constantsTouched: []
      argNames:
        - ''
        - ''
        - ''
      BBCount:         3
      ICount:          29
      EdgeCount:       3
      CyclomaticComplexity: 2
      functionsReached:
        - _ZNK11flexbuffers8Verifier12VerifyBeforeEmm
      functionUses:    2
      BranchProfiles:  []
      Callsites:
        - Src:             'tests/fuzzer/../../include/flatbuffers/flexbuffers.h:1894,12'
          Dst:             _ZNK11flexbuffers8Verifier12VerifyBeforeEmm
    - functionName:    _ZNK11flexbuffers8Verifier10VerifyFromEmm
      functionSourceFile: '/src/flatbuffers/tests/fuzzer/../../include/flatbuffers/flexbuffers.h'
      linkageType:     InternalLinkage
      functionLinenumber: 1881
      functionLinenumberEnd: 1882
      functionDepth:   0
      returnType:      bool
      argCount:        3
      argTypes:
        - 'N/A'
        - size_t
        - size_t
      constantsTouched: []
      argNames:
        - ''
        - ''
        - ''
      BBCount:         6
      ICount:          41
      EdgeCount:       7
      CyclomaticComplexity: 3
      functionsReached:
        - _ZNK11flexbuffers8Verifier5CheckEb
      functionUses:    1
      BranchProfiles:  []
      Callsites:
        - Src:             'tests/fuzzer/../../include/flatbuffers/flexbuffers.h:1882,12'
          Dst:             _ZNK11flexbuffers8Verifier5CheckEb
    - functionName:    _ZN11flexbuffers8IndirectEPKhh
      functionSourceFile: '/src/flatbuffers/tests/fuzzer/../../include/flatbuffers/flexbuffers.h'
      linkageType:     InternalLinkage
      functionLinenumber: 186
      functionLinenumberEnd: 187
      functionDepth:   0
      returnType:      'N/A'
      argCount:        2
      argTypes:
        - 'N/A'
        - char
      constantsTouched: []
      argNames:
        - ''
        - ''
      BBCount:         3
      ICount:          21
      EdgeCount:       3
      CyclomaticComplexity: 2
      functionsReached:
        - _ZN11flexbuffers10ReadUInt64EPKhh
      functionUses:    1
      BranchProfiles:  []
      Callsites:
        - Src:             'tests/fuzzer/../../include/flatbuffers/flexbuffers.h:187,19'
          Dst:             _ZN11flexbuffers10ReadUInt64EPKhh
    - functionName:    _ZN11flexbuffers29ToFixedTypedVectorElementTypeENS_4TypeEPh
      functionSourceFile: '/src/flatbuffers/tests/fuzzer/../../include/flatbuffers/flexbuffers.h'
      linkageType:     InternalLinkage
      functionLinenumber: 126
      functionLinenumberEnd: 131
      functionDepth:   0
      returnType:      int
      argCount:        2
      argTypes:
        - int
        - 'N/A'
      constantsTouched: []
      argNames:
        - ''
        - ''
      BBCount:         6
      ICount:          40
      EdgeCount:       7
      CyclomaticComplexity: 3
      functionsReached:
        - _ZN11flexbuffers18IsFixedTypedVectorENS_4TypeE
      functionUses:    1
      BranchProfiles:  []
      Callsites:
        - Src:             'tests/fuzzer/../../include/flatbuffers/flexbuffers.h:127,3'
          Dst:             _ZN11flexbuffers18IsFixedTypedVectorENS_4TypeE
    - functionName:    _ZN11flexbuffers6StringC2EPKhh
      functionSourceFile: '/src/flatbuffers/tests/fuzzer/../../include/flatbuffers/flexbuffers.h'
      linkageType:     InternalLinkage
      functionLinenumber: 251
      functionLinenumberEnd: 251
      functionDepth:   0
      returnType:      void
      argCount:        3
      argTypes:
        - 'N/A'
        - 'N/A'
        - char
      constantsTouched: []
      argNames:
        - ''
        - ''
        - ''
      BBCount:         3
      ICount:          21
      EdgeCount:       3
      CyclomaticComplexity: 2
      functionsReached:
        - _ZN11flexbuffers5SizedC2EPKhh
      functionUses:    1
      BranchProfiles:  []
      Callsites:
        - Src:             'tests/fuzzer/../../include/flatbuffers/flexbuffers.h:251,53'
          Dst:             _ZN11flexbuffers5SizedC2EPKhh
    - functionName:    _ZN11flexbuffers8Verifier16VerifyTerminatorERKNS_6StringE
      functionSourceFile: '/src/flatbuffers/tests/fuzzer/../../include/flatbuffers/flexbuffers.h'
      linkageType:     InternalLinkage
      functionLinenumber: 1985
      functionLinenumberEnd: 1987
      functionDepth:   0
      returnType:      bool
      argCount:        2
      argTypes:
        - 'N/A'
        - 'N/A'
      constantsTouched: []
      argNames:
        - ''
        - ''
      BBCount:         3
      ICount:          22
      EdgeCount:       3
      CyclomaticComplexity: 2
      functionsReached:
        - _ZN11flexbuffers8Verifier17VerifyFromPointerEPKhm
        - _ZNK11flexbuffers5Sized4sizeEv
        - _ZNK11flexbuffers6String5c_strEv
      functionUses:    1
      BranchProfiles:  []
      Callsites:
        - Src:             'tests/fuzzer/../../include/flatbuffers/flexbuffers.h:1986,65'
          Dst:             _ZNK11flexbuffers6String5c_strEv
        - Src:             'tests/fuzzer/../../include/flatbuffers/flexbuffers.h:1987,32'
          Dst:             _ZNK11flexbuffers5Sized4sizeEv
        - Src:             'tests/fuzzer/../../include/flatbuffers/flexbuffers.h:1986,12'
          Dst:             _ZN11flexbuffers8Verifier17VerifyFromPointerEPKhm
    - functionName:    _ZN11flexbuffers8Verifier17VerifyFromPointerEPKhm
      functionSourceFile: '/src/flatbuffers/tests/fuzzer/../../include/flatbuffers/flexbuffers.h'
      linkageType:     InternalLinkage
      functionLinenumber: 1888
      functionLinenumberEnd: 1890
      functionDepth:   0
      returnType:      bool
      argCount:        3
      argTypes:
        - 'N/A'
        - 'N/A'
        - size_t
      constantsTouched: []
      argNames:
        - ''
        - ''
        - ''
      BBCount:         3
      ICount:          29
      EdgeCount:       3
      CyclomaticComplexity: 2
      functionsReached:
        - _ZNK11flexbuffers8Verifier10VerifyFromEmm
      functionUses:    5
      BranchProfiles:  []
      Callsites:
        - Src:             'tests/fuzzer/../../include/flatbuffers/flexbuffers.h:1890,12'
          Dst:             _ZNK11flexbuffers8Verifier10VerifyFromEmm
    - functionName:    _ZN11flexbuffers8Verifier10VerifyKeysEPKhh
      functionSourceFile: '/src/flatbuffers/tests/fuzzer/../../include/flatbuffers/flexbuffers.h'
      linkageType:     InternalLinkage
      functionLinenumber: 1962
      functionLinenumberEnd: 1974
      functionDepth:   0
      returnType:      bool
      argCount:        3
      argTypes:
        - 'N/A'
        - 'N/A'
        - char
      constantsTouched: []
      argNames:
        - ''
        - ''
        - ''
      BBCount:         10
      ICount:          92
      EdgeCount:       13
      CyclomaticComplexity: 5
      functionsReached:
        - _ZN11flexbuffers10ReadUInt64EPKhh
        - _ZN11flexbuffers8Verifier12VerifyOffsetEmPKh
        - _ZN11flexbuffers8Verifier12VerifyVectorENS_9ReferenceEPKhNS_4TypeE
        - _ZN11flexbuffers8Verifier15VerifyByteWidthEm
        - _ZN11flexbuffers8Verifier19VerifyBeforePointerEPKhm
        - _ZN11flexbuffers9ReferenceC2EPKhhhNS_4TypeE
      functionUses:    1
      BranchProfiles:  []
      Callsites:
        - Src:             'tests/fuzzer/../../include/flatbuffers/flexbuffers.h:1965,10'
          Dst:             _ZN11flexbuffers8Verifier19VerifyBeforePointerEPKhm
        - Src:             'tests/fuzzer/../../include/flatbuffers/flexbuffers.h:1967,16'
          Dst:             _ZN11flexbuffers10ReadUInt64EPKhh
        - Src:             'tests/fuzzer/../../include/flatbuffers/flexbuffers.h:1968,10'
          Dst:             _ZN11flexbuffers8Verifier12VerifyOffsetEmPKh
        - Src:             'tests/fuzzer/../../include/flatbuffers/flexbuffers.h:1970,30'
          Dst:             _ZN11flexbuffers10ReadUInt64EPKhh
        - Src:             'tests/fuzzer/../../include/flatbuffers/flexbuffers.h:1971,10'
          Dst:             _ZN11flexbuffers8Verifier15VerifyByteWidthEm
        - Src:             'tests/fuzzer/../../include/flatbuffers/flexbuffers.h:1972,25'
          Dst:             _ZN11flexbuffers9ReferenceC2EPKhhhNS_4TypeE
        - Src:             'tests/fuzzer/../../include/flatbuffers/flexbuffers.h:1972,12'
          Dst:             _ZN11flexbuffers8Verifier12VerifyVectorENS_9ReferenceEPKhNS_4TypeE
    - functionName:    _ZN11flexbuffers8Verifier12VerifyOffsetEmPKh
      functionSourceFile: '/src/flatbuffers/tests/fuzzer/../../include/flatbuffers/flexbuffers.h'
      linkageType:     InternalLinkage
      functionLinenumber: 1903
      functionLinenumberEnd: 1905
      functionDepth:   0
      returnType:      bool
      argCount:        3
      argTypes:
        - 'N/A'
        - size_t
        - 'N/A'
      constantsTouched: []
      argNames:
        - ''
        - ''
        - ''
      BBCount:         6
      ICount:          43
      EdgeCount:       7
      CyclomaticComplexity: 3
      functionsReached:
        - _ZNK11flexbuffers8Verifier5CheckEb
      functionUses:    2
      BranchProfiles:  []
      Callsites:
        - Src:             'tests/fuzzer/../../include/flatbuffers/flexbuffers.h:1904,12'
          Dst:             _ZNK11flexbuffers8Verifier5CheckEb
    - functionName:    _ZN11flexbuffers8Verifier15VerifyByteWidthEm
      functionSourceFile: '/src/flatbuffers/tests/fuzzer/../../include/flatbuffers/flexbuffers.h'
      linkageType:     InternalLinkage
      functionLinenumber: 1897
      functionLinenumberEnd: 1898
      functionDepth:   0
      returnType:      bool
      argCount:        2
      argTypes:
        - 'N/A'
        - size_t
      constantsTouched: []
      argNames:
        - ''
        - ''
      BBCount:         10
      ICount:          49
      EdgeCount:       13
      CyclomaticComplexity: 5
      functionsReached:
        - _ZNK11flexbuffers8Verifier5CheckEb
      functionUses:    3
      BranchProfiles:  []
      Callsites:
        - Src:             'tests/fuzzer/../../include/flatbuffers/flexbuffers.h:1898,12'
          Dst:             _ZNK11flexbuffers8Verifier5CheckEb
    - functionName:    _ZN11flexbuffers8Verifier12VerifyVectorENS_9ReferenceEPKhNS_4TypeE
      functionSourceFile: '/src/flatbuffers/tests/fuzzer/../../include/flatbuffers/flexbuffers.h'
      linkageType:     InternalLinkage
      functionLinenumber: 1924
      functionLinenumberEnd: 1960
      functionDepth:   0
      returnType:      bool
      argCount:        5
      argTypes:
        - 'N/A'
        - 'N/A'
        - size_t
        - 'N/A'
        - int
      constantsTouched: []
      argNames:
        - ''
        - ''
        - ''
        - ''
        - ''
      BBCount:         51
      ICount:          345
      EdgeCount:       69
      CyclomaticComplexity: 20
      functionsReached:
        - _ZN11flexbuffers10PackedTypeENS_8BitWidthENS_4TypeE
        - _ZN11flexbuffers11TypedVectorC2EPKhhNS_4TypeE
        - _ZN11flexbuffers5SizedC2EPKhh
        - _ZN11flexbuffers6VectorC2EPKhh
        - _ZN11flexbuffers7Builder6WidthBEm
        - _ZN11flexbuffers8IsInlineENS_4TypeE
        - _ZN11flexbuffers8Verifier17VerifyFromPointerEPKhm
        - _ZN11flexbuffers8Verifier19VerifyBeforePointerEPKhm
        - _ZN11flexbuffers8Verifier9VerifyRefENS_9ReferenceE
        - _ZNK11flexbuffers11TypedVectorixEm
        - _ZNK11flexbuffers5Sized4sizeEv
        - _ZNK11flexbuffers6VectorixEm
        - _ZNK11flexbuffers8Verifier5CheckEb
      functionUses:    10
      BranchProfiles:  []
      Callsites:
        - Src:             'tests/fuzzer/../../include/flatbuffers/flexbuffers.h:1929,10'
          Dst:             _ZNK11flexbuffers8Verifier5CheckEb
        - Src:             'tests/fuzzer/../../include/flatbuffers/flexbuffers.h:1932,10'
          Dst:             _ZN11flexbuffers8Verifier19VerifyBeforePointerEPKhm
        - Src:             'tests/fuzzer/../../include/flatbuffers/flexbuffers.h:1933,5'
          Dst:             _ZN11flexbuffers7Builder6WidthBEm
        - Src:             'tests/fuzzer/../../include/flatbuffers/flexbuffers.h:1933,5'
          Dst:             _ZN11flexbuffers10PackedTypeENS_8BitWidthENS_4TypeE
        - Src:             'tests/fuzzer/../../include/flatbuffers/flexbuffers.h:1933,5'
          Dst:             _ZNK11flexbuffers8Verifier5CheckEb
        - Src:             'tests/fuzzer/../../include/flatbuffers/flexbuffers.h:1935,18'
          Dst:             _ZN11flexbuffers5SizedC2EPKhh
        - Src:             'tests/fuzzer/../../include/flatbuffers/flexbuffers.h:1936,28'
          Dst:             _ZNK11flexbuffers5Sized4sizeEv
        - Src:             'tests/fuzzer/../../include/flatbuffers/flexbuffers.h:1941,10'
          Dst:             _ZNK11flexbuffers8Verifier5CheckEb
        - Src:             'tests/fuzzer/../../include/flatbuffers/flexbuffers.h:1944,10'
          Dst:             _ZN11flexbuffers8Verifier17VerifyFromPointerEPKhm
        - Src:             'tests/fuzzer/../../include/flatbuffers/flexbuffers.h:1947,12'
          Dst:             _ZN11flexbuffers8Verifier17VerifyFromPointerEPKhm
        - Src:             'tests/fuzzer/../../include/flatbuffers/flexbuffers.h:1948,16'
          Dst:             _ZN11flexbuffers6VectorC2EPKhh
        - Src:             'tests/fuzzer/../../include/flatbuffers/flexbuffers.h:1950,24'
          Dst:             _ZNK11flexbuffers6VectorixEm
        - Src:             'tests/fuzzer/../../include/flatbuffers/flexbuffers.h:1950,14'
          Dst:             _ZN11flexbuffers8Verifier9VerifyRefENS_9ReferenceE
        - Src:             'tests/fuzzer/../../include/flatbuffers/flexbuffers.h:1952,16'
          Dst:             _ZN11flexbuffers11TypedVectorC2EPKhhNS_4TypeE
        - Src:             'tests/fuzzer/../../include/flatbuffers/flexbuffers.h:1954,24'
          Dst:             _ZNK11flexbuffers11TypedVectorixEm
        - Src:             'tests/fuzzer/../../include/flatbuffers/flexbuffers.h:1954,14'
          Dst:             _ZN11flexbuffers8Verifier9VerifyRefENS_9ReferenceE
        - Src:             'tests/fuzzer/../../include/flatbuffers/flexbuffers.h:1956,7'
          Dst:             _ZN11flexbuffers8IsInlineENS_4TypeE
    - functionName:    _ZN11flexbuffers8Verifier9VerifyRefENS_9ReferenceE
      functionSourceFile: '/src/flatbuffers/tests/fuzzer/../../include/flatbuffers/flexbuffers.h'
      linkageType:     InternalLinkage
      functionLinenumber: 1990
      functionLinenumberEnd: 2049
      functionDepth:   0
      returnType:      bool
      argCount:        3
      argTypes:
        - 'N/A'
        - 'N/A'
        - size_t
      constantsTouched: []
      argNames:
        - ''
        - ''
        - ''
      BBCount:         50
      ICount:          326
      EdgeCount:       57
      CyclomaticComplexity: 9
      functionsReached:
        - _ZN11flexbuffers10ReadUInt64EPKhh
        - _ZN11flexbuffers29ToFixedTypedVectorElementTypeENS_4TypeEPh
        - _ZN11flexbuffers6StringC2EPKhh
        - _ZN11flexbuffers8IsInlineENS_4TypeE
        - _ZN11flexbuffers8Verifier10VerifyKeysEPKhh
        - _ZN11flexbuffers8Verifier10VerifyTypeEi
        - _ZN11flexbuffers8Verifier12VerifyOffsetEmPKh
        - _ZN11flexbuffers8Verifier12VerifyVectorENS_9ReferenceEPKhNS_4TypeE
        - _ZN11flexbuffers8Verifier15VerifyByteWidthEm
        - _ZN11flexbuffers8Verifier16VerifyTerminatorERKNS_6StringE
        - _ZN11flexbuffers8Verifier17VerifyFromPointerEPKhm
        - _ZN11flexbuffers8Verifier9VerifyKeyEPKh
        - _ZNK11flexbuffers8Verifier15VerifyAlignmentEPKhm
        - _ZNK11flexbuffers9Reference8IndirectEv
      functionUses:    3
      BranchProfiles:
        - Branch String:   'tests/fuzzer/../../include/flatbuffers/flexbuffers.h:2004,5'
          Branch Sides:    []
      Callsites:
        - Src:             'tests/fuzzer/../../include/flatbuffers/flexbuffers.h:1992,10'
          Dst:             _ZN11flexbuffers8Verifier15VerifyByteWidthEm
        - Src:             'tests/fuzzer/../../include/flatbuffers/flexbuffers.h:1992,45'
          Dst:             _ZN11flexbuffers8Verifier10VerifyTypeEi
        - Src:             'tests/fuzzer/../../include/flatbuffers/flexbuffers.h:1995,9'
          Dst:             _ZN11flexbuffers8IsInlineENS_4TypeE
        - Src:             'tests/fuzzer/../../include/flatbuffers/flexbuffers.h:2000,16'
          Dst:             _ZN11flexbuffers10ReadUInt64EPKhh
        - Src:             'tests/fuzzer/../../include/flatbuffers/flexbuffers.h:2001,10'
          Dst:             _ZN11flexbuffers8Verifier12VerifyOffsetEmPKh
        - Src:             'tests/fuzzer/../../include/flatbuffers/flexbuffers.h:2002,16'
          Dst:             _ZNK11flexbuffers9Reference8IndirectEv
        - Src:             'tests/fuzzer/../../include/flatbuffers/flexbuffers.h:2003,10'
          Dst:             _ZNK11flexbuffers8Verifier15VerifyAlignmentEPKhm
        - Src:             'tests/fuzzer/../../include/flatbuffers/flexbuffers.h:2008,16'
          Dst:             _ZN11flexbuffers8Verifier17VerifyFromPointerEPKhm
        - Src:             'tests/fuzzer/../../include/flatbuffers/flexbuffers.h:2010,16'
          Dst:             _ZN11flexbuffers8Verifier9VerifyKeyEPKh
        - Src:             'tests/fuzzer/../../include/flatbuffers/flexbuffers.h:2012,16'
          Dst:             _ZN11flexbuffers8Verifier12VerifyVectorENS_9ReferenceEPKhNS_4TypeE
        - Src:             'tests/fuzzer/../../include/flatbuffers/flexbuffers.h:2012,48'
          Dst:             _ZN11flexbuffers8Verifier10VerifyKeysEPKhh
        - Src:             'tests/fuzzer/../../include/flatbuffers/flexbuffers.h:2014,16'
          Dst:             _ZN11flexbuffers8Verifier12VerifyVectorENS_9ReferenceEPKhNS_4TypeE
        - Src:             'tests/fuzzer/../../include/flatbuffers/flexbuffers.h:2016,16'
          Dst:             _ZN11flexbuffers8Verifier12VerifyVectorENS_9ReferenceEPKhNS_4TypeE
        - Src:             'tests/fuzzer/../../include/flatbuffers/flexbuffers.h:2019,16'
          Dst:             _ZN11flexbuffers8Verifier12VerifyVectorENS_9ReferenceEPKhNS_4TypeE
        - Src:             'tests/fuzzer/../../include/flatbuffers/flexbuffers.h:2021,16'
          Dst:             _ZN11flexbuffers8Verifier12VerifyVectorENS_9ReferenceEPKhNS_4TypeE
        - Src:             'tests/fuzzer/../../include/flatbuffers/flexbuffers.h:2023,16'
          Dst:             _ZN11flexbuffers8Verifier12VerifyVectorENS_9ReferenceEPKhNS_4TypeE
        - Src:             'tests/fuzzer/../../include/flatbuffers/flexbuffers.h:2026,16'
          Dst:             _ZN11flexbuffers8Verifier12VerifyVectorENS_9ReferenceEPKhNS_4TypeE
        - Src:             'tests/fuzzer/../../include/flatbuffers/flexbuffers.h:2028,16'
          Dst:             _ZN11flexbuffers8Verifier12VerifyVectorENS_9ReferenceEPKhNS_4TypeE
        - Src:             'tests/fuzzer/../../include/flatbuffers/flexbuffers.h:2030,16'
          Dst:             _ZN11flexbuffers8Verifier12VerifyVectorENS_9ReferenceEPKhNS_4TypeE
        - Src:             'tests/fuzzer/../../include/flatbuffers/flexbuffers.h:2031,33'
          Dst:             _ZN11flexbuffers6StringC2EPKhh
        - Src:             'tests/fuzzer/../../include/flatbuffers/flexbuffers.h:2031,16'
          Dst:             _ZN11flexbuffers8Verifier16VerifyTerminatorERKNS_6StringE
        - Src:             'tests/fuzzer/../../include/flatbuffers/flexbuffers.h:2042,22'
          Dst:             _ZN11flexbuffers29ToFixedTypedVectorElementTypeENS_4TypeEPh
        - Src:             'tests/fuzzer/../../include/flatbuffers/flexbuffers.h:2043,14'
          Dst:             _ZN11flexbuffers8Verifier10VerifyTypeEi
        - Src:             'tests/fuzzer/../../include/flatbuffers/flexbuffers.h:2044,16'
          Dst:             _ZN11flexbuffers8Verifier17VerifyFromPointerEPKhm
    - functionName:    _ZN11flexbuffers8IsInlineENS_4TypeE
      functionSourceFile: '/src/flatbuffers/tests/fuzzer/../../include/flatbuffers/flexbuffers.h'
      linkageType:     InternalLinkage
      functionLinenumber: 89
      functionLinenumberEnd: 89
      functionDepth:   0
      returnType:      bool
      argCount:        1
      argTypes:
        - int
      constantsTouched: []
      argNames:
        - ''
      BBCount:         4
      ICount:          22
      EdgeCount:       4
      CyclomaticComplexity: 2
      functionsReached: []
      functionUses:    2
      BranchProfiles:  []
      Callsites:       []
    - functionName:    _ZN11flexbuffers8Verifier10VerifyTypeEi
      functionSourceFile: '/src/flatbuffers/tests/fuzzer/../../include/flatbuffers/flexbuffers.h'
      linkageType:     InternalLinkage
      functionLinenumber: 1901
      functionLinenumberEnd: 1901
      functionDepth:   0
      returnType:      bool
      argCount:        2
      argTypes:
        - 'N/A'
        - int
      constantsTouched: []
      argNames:
        - ''
        - ''
      BBCount:         6
      ICount:          33
      EdgeCount:       7
      CyclomaticComplexity: 3
      functionsReached:
        - _ZNK11flexbuffers8Verifier5CheckEb
      functionUses:    2
      BranchProfiles:  []
      Callsites:
        - Src:             'tests/fuzzer/../../include/flatbuffers/flexbuffers.h:1901,38'
          Dst:             _ZNK11flexbuffers8Verifier5CheckEb
    - functionName:    _ZNK11flexbuffers9Reference8IndirectEv
      functionSourceFile: '/src/flatbuffers/tests/fuzzer/../../include/flatbuffers/flexbuffers.h'
      linkageType:     InternalLinkage
      functionLinenumber: 819
      functionLinenumberEnd: 820
      functionDepth:   0
      returnType:      'N/A'
      argCount:        1
      argTypes:
        - 'N/A'
      constantsTouched: []
      argNames:
        - ''
      BBCount:         3
      ICount:          19
      EdgeCount:       3
      CyclomaticComplexity: 2
      functionsReached:
        - _ZN11flexbuffers8IndirectEPKhh
      functionUses:    1
      BranchProfiles:  []
      Callsites:
        - Src:             'tests/fuzzer/../../include/flatbuffers/flexbuffers.h:820,12'
          Dst:             _ZN11flexbuffers8IndirectEPKhh
    - functionName:    _ZNK11flexbuffers8Verifier15VerifyAlignmentEPKhm
      functionSourceFile: '/src/flatbuffers/tests/fuzzer/../../include/flatbuffers/flexbuffers.h'
      linkageType:     InternalLinkage
      functionLinenumber: 1908
      functionLinenumberEnd: 1910
      functionDepth:   0
      returnType:      bool
      argCount:        3
      argTypes:
        - 'N/A'
        - 'N/A'
        - size_t
      constantsTouched: []
      argNames:
        - ''
        - ''
        - ''
      BBCount:         6
      ICount:          47
      EdgeCount:       7
      CyclomaticComplexity: 3
      functionsReached:
        - _ZNK11flexbuffers8Verifier5CheckEb
      functionUses:    1
      BranchProfiles:  []
      Callsites:
        - Src:             'tests/fuzzer/../../include/flatbuffers/flexbuffers.h:1910,12'
          Dst:             _ZNK11flexbuffers8Verifier5CheckEb
    - functionName:    _ZN11flexbuffers8Verifier9VerifyKeyEPKh
      functionSourceFile: '/src/flatbuffers/tests/fuzzer/../../include/flatbuffers/flexbuffers.h'
      linkageType:     InternalLinkage
      functionLinenumber: 1976
      functionLinenumberEnd: 1981
      functionDepth:   0
      returnType:      bool
      argCount:        2
      argTypes:
        - 'N/A'
        - 'N/A'
      constantsTouched: []
      argNames:
        - ''
        - ''
      BBCount:         16
      ICount:          108
      EdgeCount:       21
      CyclomaticComplexity: 7
      functionsReached:
        - _ZN11flexbuffers10PackedTypeENS_8BitWidthENS_4TypeE
        - _ZNK11flexbuffers8Verifier5CheckEb
      functionUses:    1
      BranchProfiles:  []
      Callsites:
        - Src:             'tests/fuzzer/../../include/flatbuffers/flexbuffers.h:1977,5'
          Dst:             _ZN11flexbuffers10PackedTypeENS_8BitWidthENS_4TypeE
        - Src:             'tests/fuzzer/../../include/flatbuffers/flexbuffers.h:1977,5'
          Dst:             _ZNK11flexbuffers8Verifier5CheckEb
    - functionName:    __cxa_allocate_exception
      functionSourceFile: ''
      linkageType:     externalLinkage
      functionLinenumber: -1
      functionLinenumberEnd: 0
      functionDepth:   0
      returnType:      'N/A'
      argCount:        1
      argTypes:
        - size_t
      constantsTouched: []
      argNames:
        - ''
      BBCount:         0
      ICount:          0
      EdgeCount:       0
      CyclomaticComplexity: 2
      functionsReached: []
      functionUses:    2
      BranchProfiles:  []
      Callsites:       []
    - functionName:    _ZNSt20bad_array_new_lengthC1Ev
      functionSourceFile: ''
      linkageType:     externalLinkage
      functionLinenumber: -1
      functionLinenumberEnd: 0
      functionDepth:   0
      returnType:      void
      argCount:        1
      argTypes:
        - 'N/A'
      constantsTouched: []
      argNames:
        - ''
      BBCount:         0
      ICount:          0
      EdgeCount:       0
      CyclomaticComplexity: 2
      functionsReached: []
      functionUses:    1
      BranchProfiles:  []
      Callsites:       []
    - functionName:    _ZNSt20bad_array_new_lengthD1Ev
      functionSourceFile: ''
      linkageType:     externalLinkage
      functionLinenumber: -1
      functionLinenumberEnd: 0
      functionDepth:   0
      returnType:      void
      argCount:        1
      argTypes:
        - 'N/A'
      constantsTouched: []
      argNames:
        - ''
      BBCount:         0
      ICount:          0
      EdgeCount:       0
      CyclomaticComplexity: 2
      functionsReached: []
      functionUses:    1
      BranchProfiles:  []
      Callsites:       []
    - functionName:    __cxa_throw
      functionSourceFile: ''
      linkageType:     externalLinkage
      functionLinenumber: -1
      functionLinenumberEnd: 0
      functionDepth:   0
      returnType:      void
      argCount:        3
      argTypes:
        - 'N/A'
        - 'N/A'
        - 'N/A'
      constantsTouched: []
      argNames:
        - ''
        - ''
        - ''
      BBCount:         0
      ICount:          0
      EdgeCount:       0
      CyclomaticComplexity: 2
      functionsReached: []
      functionUses:    2
      BranchProfiles:  []
      Callsites:       []
    - functionName:    _ZNSt12length_errorC2B8ne220000EPKc
      functionSourceFile: '/usr/local/bin/../include/c++/v1/stdexcept'
      linkageType:     InternalLinkage
      functionLinenumber: 154
      functionLinenumberEnd: 154
      functionDepth:   0
      returnType:      void
      argCount:        2
      argTypes:
        - 'N/A'
        - 'N/A'
      constantsTouched: []
      argNames:
        - ''
        - ''
      BBCount:         3
      ICount:          19
      EdgeCount:       3
      CyclomaticComplexity: 2
      functionsReached:
        - _ZNSt11logic_errorC2EPKc
      functionUses:    1
      BranchProfiles:  []
      Callsites:
        - Src:             '/usr/local/bin/../include/c++/v1/stdexcept:154,66'
          Dst:             _ZNSt11logic_errorC2EPKc
    - functionName:    _ZNSt11logic_errorC2EPKc
      functionSourceFile: ''
      linkageType:     externalLinkage
      functionLinenumber: -1
      functionLinenumberEnd: 0
      functionDepth:   0
      returnType:      void
      argCount:        2
      argTypes:
        - 'N/A'
        - 'N/A'
      constantsTouched: []
      argNames:
        - ''
        - ''
      BBCount:         0
      ICount:          0
      EdgeCount:       0
      CyclomaticComplexity: 2
      functionsReached: []
      functionUses:    1
      BranchProfiles:  []
      Callsites:       []
    - functionName:    _ZNSt12length_errorD1Ev
      functionSourceFile: ''
      linkageType:     externalLinkage
      functionLinenumber: -1
      functionLinenumberEnd: 0
      functionDepth:   0
      returnType:      void
      argCount:        1
      argTypes:
        - 'N/A'
      constantsTouched: []
      argNames:
        - ''
      BBCount:         0
      ICount:          0
      EdgeCount:       0
      CyclomaticComplexity: 2
      functionsReached: []
      functionUses:    1
      BranchProfiles:  []
      Callsites:       []
    - functionName:    __cxa_free_exception
      functionSourceFile: ''
      linkageType:     externalLinkage
      functionLinenumber: -1
      functionLinenumberEnd: 0
      functionDepth:   0
      returnType:      void
      argCount:        1
      argTypes:
        - 'N/A'
      constantsTouched: []
      argNames:
        - ''
      BBCount:         0
      ICount:          0
      EdgeCount:       0
      CyclomaticComplexity: 2
      functionsReached: []
      functionUses:    1
      BranchProfiles:  []
      Callsites:       []
    - functionName:    _ZN11flexbuffers8Verifier12VerifyBufferEv
      functionSourceFile: '/src/flatbuffers/tests/fuzzer/../../include/flatbuffers/flexbuffers.h'
      linkageType:     InternalLinkage
      functionLinenumber: 2052
      functionLinenumberEnd: 2059
      functionDepth:   0
      returnType:      bool
      argCount:        1
      argTypes:
        - 'N/A'
      constantsTouched: []
      argNames:
        - ''
      BBCount:         11
      ICount:          92
      EdgeCount:       14
      CyclomaticComplexity: 5
      functionsReached:
        - _ZN11flexbuffers8Verifier15VerifyByteWidthEm
        - _ZN11flexbuffers8Verifier9VerifyRefENS_9ReferenceE
        - _ZN11flexbuffers9ReferenceC2EPKhhh
        - _ZNK11flexbuffers8Verifier5CheckEb
      functionUses:    1
      BranchProfiles:  []
      Callsites:
        - Src:             'tests/fuzzer/../../include/flatbuffers/flexbuffers.h:2053,10'
          Dst:             _ZNK11flexbuffers8Verifier5CheckEb
        - Src:             'tests/fuzzer/../../include/flatbuffers/flexbuffers.h:2057,12'
          Dst:             _ZN11flexbuffers8Verifier15VerifyByteWidthEm
        - Src:             'tests/fuzzer/../../include/flatbuffers/flexbuffers.h:2057,43'
          Dst:             _ZNK11flexbuffers8Verifier5CheckEb
        - Src:             'tests/fuzzer/../../include/flatbuffers/flexbuffers.h:2058,22'
          Dst:             _ZN11flexbuffers9ReferenceC2EPKhhh
        - Src:             'tests/fuzzer/../../include/flatbuffers/flexbuffers.h:2058,12'
          Dst:             _ZN11flexbuffers8Verifier9VerifyRefENS_9ReferenceE
    - functionName:    _ZN11flexbuffers8VerifierC2EPKhmPNSt3__16vectorIhNS3_9allocatorIhEEEEbm
      functionSourceFile: '/src/flatbuffers/tests/fuzzer/../../include/flatbuffers/flexbuffers.h'
      linkageType:     InternalLinkage
      functionLinenumber: 1860
      functionLinenumberEnd: 1867
      functionDepth:   0
      returnType:      void
      argCount:        6
      argTypes:
        - 'N/A'
        - 'N/A'
        - size_t
        - 'N/A'
        - bool
        - size_t
      constantsTouched: []
      argNames:
        - ''
        - ''
        - ''
        - ''
        - ''
        - ''
      BBCount:         9
      ICount:          88
      EdgeCount:       11
      CyclomaticComplexity: 4
      functionsReached:
        - _ZN11flexbuffers10PackedTypeENS_8BitWidthENS_4TypeE
      functionUses:    1
      BranchProfiles:  []
      Callsites:
        - Src:             'tests/fuzzer/../../include/flatbuffers/flexbuffers.h:1865,37'
          Dst:             _ZN11flexbuffers10PackedTypeENS_8BitWidthENS_4TypeE
    - functionName:    _ZN11flexbuffers12VerifyBufferEPKhmPNSt3__16vectorIhNS2_9allocatorIhEEEE
      functionSourceFile: '/src/flatbuffers/tests/fuzzer/../../include/flatbuffers/flexbuffers.h'
      linkageType:     InternalLinkage
      functionLinenumber: 2075
      functionLinenumberEnd: 2077
      functionDepth:   0
      returnType:      bool
      argCount:        3
      argTypes:
        - 'N/A'
        - size_t
        - 'N/A'
      constantsTouched: []
      argNames:
        - ''
        - ''
        - ''
      BBCount:         3
      ICount:          23
      EdgeCount:       3
      CyclomaticComplexity: 2
      functionsReached:
        - _ZN11flexbuffers8Verifier12VerifyBufferEv
        - _ZN11flexbuffers8VerifierC2EPKhmPNSt3__16vectorIhNS3_9allocatorIhEEEEbm
      functionUses:    1
      BranchProfiles:  []
      Callsites:
        - Src:             'tests/fuzzer/../../include/flatbuffers/flexbuffers.h:2076,12'
          Dst:             _ZN11flexbuffers8VerifierC2EPKhmPNSt3__16vectorIhNS3_9allocatorIhEEEEbm
        - Src:             'tests/fuzzer/../../include/flatbuffers/flexbuffers.h:2077,19'
          Dst:             _ZN11flexbuffers8Verifier12VerifyBufferEv
    - functionName:    LLVMFuzzerTestOneInput
      functionSourceFile: '/src/flatbuffers/tests/fuzzer/flexbuffers_verifier_fuzzer.cc'
      linkageType:     externalLinkage
      functionLinenumber: 11
      functionLinenumberEnd: 20
      functionDepth:   0
      returnType:      int
      argCount:        2
      argTypes:
        - 'N/A'
        - size_t
      constantsTouched: []
      argNames:
        - ''
        - ''
      BBCount:         6
      ICount:          41
      EdgeCount:       10
      CyclomaticComplexity: 6
      functionsReached:
        - _ZN11flexbuffers12VerifyBufferEPKhmPNSt3__16vectorIhNS2_9allocatorIhEEEE
      functionUses:    0
      BranchProfiles:  []
      Callsites:
        - Src:             'tests/fuzzer/flexbuffers_verifier_fuzzer.cc:14,3'
          Dst:             _ZN11flexbuffers12VerifyBufferEPKhmPNSt3__16vectorIhNS2_9allocatorIhEEEE
...
